
Hooks Manager - Feature #1903

Wiki macro

27 Nov 2011 11:04 - Andriy Lesyuk

Status: Closed Start date: 27 Nov 2011

Priority: Normal Due date: 04 Aug 2013

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.0.0   

External issue:    

Description

Add placeholder(s) to Wiki page content by adding a Wiki macro e.g. {{wiki_page_content}}.

This way when writing Wiki page an author can add an ad by using this macro e.g.:

h2. Heading

Hello this is some page...

{{wiki_page_content}}

h3. Section

Related issues:

Related to WikiNG - Improvement #2206: Do not use {{hook}} name Closed 04 Aug 2013 12 Sep 2013

Associated revisions

Revision 19 - 04 Aug 2013 23:18 - Andriy Lesyuk

Added Wiki macro (closes #1903)

History

#1 - 06 Jan 2012 11:02 - Andriy Lesyuk

- Status changed from New to Open

- Assignee set to Andriy Lesyuk

- Target version set to 1.0.0

#2 - 30 Jan 2012 09:04 - Andriy Lesyuk

I like this syntax more:

!{{inline_ads}} - will call wiki_hooks_manager_inline_ads

!{{inline_ads(right)}} - will call wiki_hooks_manager_inline_ads_right

#3 - 04 Aug 2013 18:07 - Andriy Lesyuk

I think about generating hook name, e.g., view_wiki_content_hd44e4d541df4df15d41f4f

#4 - 04 Aug 2013 20:16 - Andriy Lesyuk

Or:

Hook name will be view_wiki_inline_content.

Wiki macro will be {hook(parameter=value)}.

Parameters will be “translated” into JS variables.

For example:
{hook(parameter=value)}

Will be converted into:

<script type="text/javascript">

<!--

parameter = "value";

//-->

</script>

#5 - 04 Aug 2013 22:39 - Andriy Lesyuk

- Due date set to 04 Aug 2013

- Status changed from Open to In Progress

- % Done changed from 0 to 100

Choose name {{inline_hook}}.

#6 - 04 Aug 2013 23:18 - Andriy Lesyuk

- Status changed from In Progress to Closed

Applied in changeset r19.
